Bug 924581

Summary: "Please enter passphrase for disk" spamming
Product: [Fedora] Fedora Reporter: Jan Kratochvil <jan.kratochvil>
Component: systemdAssignee: systemd-maint
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: jan.kratochvil, johannbg, lnykryn, metherid, msekleta, plautrba, rvokal, systemd-maint, vpavlin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 11:49:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
/var/log/messages none

Description Jan Kratochvil 2013-03-22 06:37:19 UTC
Description of problem:
After upgrade F17->F18 I am still spammed by $Summary and systemctl does not work.

Version-Release number of selected component (if applicable):
systemd-197-1.fc18.2.x86_64

How reproducible:
Annoying approx. once per hour and systemctl annoying all the time.

Steps to Reproduce:
yum upgrade F17 -> F18 with LUKS (LUKS on raw /dev/sdaX, no LVM, no mdadm).
LUKS is root ("host2root" cryptsetup name) and swap.
+
systemctl restart squid.service

Actual results:
Broadcast message from root@host2.jankratochvil.net (Fri 2013-03-22 07:16:17 CET):
Password entry required for 'Please enter passphrase for disk INTEL_SSDSA2M160G2LE (host2root)!' (PID 11753).
Please enter password with the systemd-tty-ask-password-agent tool!
+
# systemctl restart squid.service
Please enter passphrase for disk INTEL_SSDSA2M160G2LE (host2root)! **********
# _
syslog:
systemd-cryptsetup[11753]: Set cipher aes, mode xts-plain64, key size 512 bits for device /dev/disk/by-uuid/5b30fc63-6b52-4746-b883-394fbe23c3dd.
systemd-cryptsetup[11753]: Failed to activate: Device or resource busy
systemd[1]: systemd-cryptsetup@host2root.service: main process exited, code=exited, status=1/FAILURE
systemd[1]: Failed to start Cryptography Setup for host2root.
systemd[1]: Dependency failed for dev-mapper-host2root.device.
systemd[1]: Unit systemd-cryptsetup@host2root.service entered failed state
 - But nothing happens, squid is not started/restarted.

Expected results:
No need to enter LUKS password which I already entered during boot.
+
Working service restart - and again no need to enter LUKS password again.

Additional info:

Comment 1 Lennart Poettering 2013-04-09 10:57:01 UTC
Do you have multiple crypto devices listed in /etc/crypttab? Could you paste that file?

Comment 2 Jan Kratochvil 2013-04-09 11:06:52 UTC
host2root UUID=5b30fc63-6b52-4746-b883-394fbe23c3dd none 
host2swap UUID=239b785a-7103-4094-a3d0-a868ee0e1490 none 

In /var/log/messages I have also found approx. once a day repeating (which may match the annoying password requests period):

04:38:10 systemd[1]: Cannot add dependency job for unit mdmonitor-takeover.service, ignoring: Unit mdmonitor-takeover.service failed to load: No such file or directory. See system logs and 'systemctl status mdmonitor-takeover.service' for details.
04:38:10 systemd[1]: Expecting device dev-mapper-host2root.device...
04:38:10 systemd[1]: Starting Cryptography Setup for host2root...
04:38:10 systemd[1]: Stopping Spamassassin daemon...
04:38:10 systemd[1]: Cannot add dependency job for unit mdmonitor-takeover.service, ignoring: Unit mdmonitor-takeover.service failed to load: No such file or directory. See system logs and 'systemctl status mdmonitor-takeover.service' for details.
04:38:10 systemd[1]: Started Forward Password Requests to Wall. 
04:38:10 systemd[1]: Starting Spamassassin daemon...
04:38:12 systemd[1]: Started Spamassassin daemon.
04:39:40 systemd[1]: Job dev-mapper-host2root.device/start timed out.
04:39:40 systemd[1]: Timed out waiting for device dev-mapper-host2root.device.
04:39:40 systemd[1]: Dependency failed for Cryptography Setup for host2root.
04:39:40 systemd-cryptsetup[4110]: Timed out
04:39:40 systemd-cryptsetup[4110]: Failed to query password: Timer expired
04:39:40 systemd[1]: systemd-cryptsetup@host2root.service: main process exited, code=exited, status=1/FAILURE
04:39:40 systemd[1]: Unit systemd-cryptsetup@host2root.service entered failed state

Comment 3 Jan Kratochvil 2013-07-03 16:45:34 UTC
Created attachment 768328 [details]
/var/log/messages

guestfish -n -a vm/f18-ib.qcow2-src run : list-devices : list-partitions
libguestfs: error: could not create appliance through libvirt: internal error process exited while connecting to monitor: qemu-kvm: -drive file=/root/vm/f18-ib.qcow2-src,if=none,id=drive-scsi0-0-0-0,format=qcow2,cache=none: could not open disk image /root/vm/f18-ib.qcow2-src: Permission denied
 [code=1 domain=10]

Even after I ran:
systemctl start libvirtd.service 
systemctl start libvirt-guests.service

It produces many errors in /var/log/messages [attached].

Comment 4 Fedora End Of Life 2013-12-21 12:22:41 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-05-29 08:56:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 11:49:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.